This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 167236 - httpd unable to access public_html in home dir
httpd unable to access public_html in home dir
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 16:04 EDT by Pavel Rosenboim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-01 11:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2005-08-31 16:04:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
httpd gives error 403 (forbidden) when it tries to access public_html dir in user home directory. The "allow httpd to read home directories" checkbox in Security Level is checked. Everything works when selinux control over httpd is disabled (by unchecking the checkbox in Security Level Application). 

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.4-10

How reproducible:
Always

Steps to Reproduce:
1. Create public_html directory in users home dir.
2. Access the user's home dir with a browser
3.
  

Actual Results:  403 forbidden error is reported and access denied error is logged in error_log file.

Expected Results:  access the directory

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2005-08-31 16:07:15 EDT
You forgot to relabel the public_html directory as described in
http://fedora.redhat.com/docs/selinux-apache-fc3/sn-user-homedir.html.
Comment 2 Pavel Rosenboim 2005-08-31 16:12:27 EDT
Sorry. I missed that part in the FAQ.

Note You need to log in before you can comment on or make changes to this bug.